net.sf.cpsolver.coursett.model

## Class InitialSectioning.Group

- java.lang.Object
- - net.sf.cpsolver.coursett.model.InitialSectioning.Group

- Enclosing class:
    InitialSectioning

      public class InitialSectioning.Group
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Group(Configuration configuration)`
    `Group(Lecture lecture)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStudent(Student student)`
    `boolean` | `canEnroll(Student student)`
    `Configuration` | `getConfiguration()`
    `double` | `getDistance()`
    `double` | `getDistance(Student student)`
    `Lecture` | `getLecture()`
    `double` | `getMaxSize()`
    `double` | `getMinSize()`
    `List<Student>` | `getStudents()`
    `boolean` | `isEnrolled(Student student)`
    `void` | `removeStudent(Student student)`
    `void` | `setMaxSize(double maxSize)`
    `void` | `setMinSize(double minSize)`
    `double` | `size()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Group

          public Group(Lecture lecture)

    - #### Group

          public Group(Configuration configuration)

  - ### Method Detail

    - #### getConfiguration

          public Configuration getConfiguration()

    - #### getLecture

          public Lecture getLecture()

    - #### getMinSize

          public double getMinSize()

    - #### getMaxSize

          public double getMaxSize()

    - #### setMinSize

          public void setMinSize(double minSize)

    - #### setMaxSize

          public void setMaxSize(double maxSize)

    - #### getDistance

          public double getDistance()

    - #### getDistance

          public double getDistance(Student student)

    - #### addStudent

          public void addStudent(Student student)

    - #### removeStudent

          public void removeStudent(Student student)

    - #### getStudents

          public List<Student> getStudents()

    - #### size

          public double size()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### canEnroll

          public boolean canEnroll(Student student)

    - #### isEnrolled

          public boolean isEnrolled(Student student)